This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483115 - Review Request: allgeyer-fonts - Musical Notation True Type Fonts
Review Request: allgeyer-fonts - Musical Notation True Type Fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 13:26 EST by Tom "spot" Callaway
Modified: 2009-02-04 21:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:12:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-01-29 13:26:48 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/allgeyer-fonts.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/allgeyer-fonts-5.002-1.fc11.src.rpm
Description:
Robert Allgeyer's MusiQwik and MusiSync are a set of original True Type fonts
that depict musical notation. Each music font may be used within a word
processing document without the need for special music publishing software, or
embedded in PDF files.

This is one of the font families from the Fedora Font Wish List:
http://fedoraproject.org/wiki/Category:Font_wishlist
Comment 1 Jochen Schmitt 2009-01-29 14:46:05 EST
Good:
+ Basename of the SPEC files matches with package name
+ Package names matches with nameing guidelines for font packages
+ Package zip files matches with upstream
(md5sum: 25106eaf88416df3006925b8383b7f69)
+ Package contains valid License tag
+ License tag specified OFL as a valid font license for Fedora
+ Package contains verbatin copy of the license text
+ Package contains proper rpm group
+ Package contains proper buildroot defintion
+ Proper definition of BRs and Reqs.
+ Fonts subpackage contains Req to common subpackages
+ Filelist doesn't contains duplicate files
+ Files have proper file permissions
+ Package contains no files belong to other packages
+ All packaged file are owned by this package
+ Rpmlint is ok for source and binary rpms.
+ Local build works fine
+ Local install works fine
+ Fonts was shown on fc-list
+ Local uninstall works fine
+ Koji build works fine
+ %doc stanza is only in common subpackage which is required on all other
packages
+ Package has proper %changelog stanza

Bad:
- I can't figure out on which base you have determinate the upstream
version of the font
- Fonts are not built from sources because upstream doesn't provides one
Comment 2 Tom "spot" Callaway 2009-01-29 15:04:09 EST
Versioning is in two places: 
* Upstream URL: http://www.icogitate.com/~ergosum/fonts/musicfonts.htm
* Inside the TTF metadata

The fonts themselves are editable source.
Comment 3 Jochen Schmitt 2009-01-29 15:20:36 EST
O, thank you for your hint.

But I have to disagree with you, that ttf files are editable sources. But because upstream doesn't provides sources I think this is not a blocker for this review, So I can APPROVEd your package.
Comment 4 Tom "spot" Callaway 2009-01-30 10:46:23 EST
New Package CVS Request
=======================
Package Name: allgeyer-fonts
Short Description: Musical Notation True Type Fonts
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.
Comment 5 Fedora Update System 2009-02-04 21:12:16 EST
allgeyer-fonts-5.002-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-02-04 21:24:29 EST
allgeyer-fonts-5.002-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.